# Package-level declarations

## Types

IRegisteredTest
Link copied to clipboard
sealed interface IRegisteredTest : Test
NewTest
Link copied to clipboard
@Serializable
@SerialName(value = "NewTest")
data class NewTest (val property1: String , val property2: Int , val parent: ParentTypeId ?) : Test
ParentTypeId
Link copied to clipboard
typealias ParentTypeId = TestId
RegisteredTest
Link copied to clipboard
@Serializable
@SerialName(value = "RegisteredTest")
data class RegisteredTest (val id: TestId , val property1: String , val property2: Int , val parent: ParentTypeId ?) : Test, IRegisteredTest
Test
Link copied to clipboard
sealed interface Test
TestId
Link copied to clipboard
@Serializable
@ JvmInline
value class TestId (val long: Long )

## Functions

asNew
Link copied to clipboard
fun Test . asNew (): NewTest
asRegistered
Link copied to clipboard
fun Test . asRegistered (id: TestId ): RegisteredTest